import get from 'lodash/get';
import containerConnect from 'Framework/ComponentContainer';
import { getComponent } from 'App/configuration';

const mapStateToProps = ({ configurator }) => ({
    Component: getComponent('FormattedPrice'),
    channelSettings: get(configurator.configuration, 'information.channelSettings'),
    languageSettings: get(configurator.configuration, 'information.languageSettings'),
});

const mapDispatchToProps = () => ({});

export default containerConnect(mapStateToProps, mapDispatchToProps);
